﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.WebEdition;
using ThinkGeo.MapSuite.Core;

namespace ZoomProblemRecreate
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                MapControlExtend1.MapUnit = GeographyUnit.DecimalDegree;
                MapControlExtend1.CurrentExtent = new RectangleShape(-195.7852, 91.2020, 0.2821, -30.6353);
                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(@"C:\Program Files (x86)\ThinkGeo\Map Suite Web Evaluation Edition 4.5\Samples\CSharp Samples\SampleData\World\cntry02.shp");
                worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country2;
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                this.MapControlExtend1.StaticOverlay.Layers.Add(worldLayer);

                InMemoryMarkerOverlay markerOverlay = new InMemoryMarkerOverlay("MarkerOverlay");
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.ImageWidth = 21;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.ImageHeight = 25;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.ImageOffsetX = -10.5f;
                markerOverlay.ZoomLevelSet.ZoomLevel01.DefaultMarkerStyle.WebImage.ImageOffsetY = -25f;
                markerOverlay.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                this.MapControlExtend1.CustomOverlays.Add(markerOverlay);
            }
        }

        void MapControlExtend1_TrackShapeFinished(object sender, EventArgs e)
        {

        }

        protected void MapControlExtend1_Click1(object sender, MapClickedEventArgs e)
        {
            InMemoryMarkerOverlay markerOverlay = (InMemoryMarkerOverlay)MapControlExtend1.CustomOverlays["MarkerOverlay"];
            markerOverlay.Features.Add("marker" + DateTime.Now.ToString("mmssms"), new Feature(e.Position));   

            this.Label1.Text = MapControlExtend1.CurrentExtent.ToString();
        }
    }
}